### Hierarchy

- SearchManager

### Implemented by

- SearchManagerImpl

## Index

### Methods

- addEventToOfferSearch
- addResultItem
- claimPurchaseForSearchItem
- cloneOfferSearch
- cloneRequest
- complainToSearchItem
- confirmSearchItem
- createRequest
- createSearchResultByQuery
- deleteRequest
- evaluateSearchItem
- getAllRequests
- getCountBySearchRequestIds
- getMyRequests
- getMySearchRequestsByTag
- getSearchRequestsByOwnerAndTag
- getSearchResult
- getSearchResultByOfferSearchId
- getUserOfferSearches
- rejectSearchItem
- updateRequest

## Methods

### addEventToOfferSearch

- addEventToOfferSearch(event: string, offerSearchId: number): Promise<void>

- - Defined in manager/SearchManager.ts:55

  #### Parameters

  - ##### event: string

  - ##### offerSearchId: number

  #### Returns Promise<void>

### addResultItem

- addResultItem(offerSearch: OfferSearch): Promise<void>

- - Defined in manager/SearchManager.ts:53

  #### Parameters

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### claimPurchaseForSearchItem

- claimPurchaseForSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:51

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### cloneOfferSearch

- cloneOfferSearch(id: number, searchRequest: SearchRequest): Promise<Array<OfferSearch>>

- - Defined in manager/SearchManager.ts:14

  #### Parameters

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<Array<OfferSearch>>

### cloneRequest

- cloneRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:12

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### complainToSearchItem

- complainToSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:43

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### confirmSearchItem

- confirmSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:49

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### createRequest

- createRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:8

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### createSearchResultByQuery

- createSearchResultByQuery(query: string, searchRequestId: number, page?: number, size?: number): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:22

  #### Parameters

  - ##### query: string

  - ##### searchRequestId: number

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### deleteRequest

- deleteRequest(id: number): Promise<number>

- - Defined in manager/SearchManager.ts:20

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### evaluateSearchItem

- evaluateSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:47

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### getAllRequests

- getAllRequests(): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:18

  #### Returns Promise<Array<SearchRequest>>

### getCountBySearchRequestIds

- getCountBySearchRequestIds(searchRequestIds: Array<number>): Promise<Map<number, number>>

- - Defined in manager/SearchManager.ts:33

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Map<number, number>>

### getMyRequests

- getMyRequests(id: number): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:16

  #### Parameters

  - ##### id: number

  #### Returns Promise<Array<SearchRequest>>

### getMySearchRequestsByTag

- getMySearchRequestsByTag(tag: string): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:59

  #### Parameters

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestsByOwnerAndTag

- getSearchRequestsByOwnerAndTag(owner: string, tag: string): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:57

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchResult

- getSearchResult(searchRequestId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:29

  #### Parameters

  - ##### searchRequestId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSearchResultByOfferSearchId

- getSearchResultByOfferSearchId(offerSearchId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:31

  #### Parameters

  - ##### offerSearchId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getUserOfferSearches

- getUserOfferSearches(page?: number, size?: number, unique?: boolean, searchIds?: Array<number>, state?: Array<OfferResultAction>): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:35

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional unique: boolean

  - ##### Optional searchIds: Array<number>

  - ##### Optional state: Array<OfferResultAction>

  #### Returns Promise<Page<OfferSearchResultItem>>

### rejectSearchItem

- rejectSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:45

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### updateRequest

- updateRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:10

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

Generated using TypeDoc